API
HQ APIAd campaigns

Retrieve an ad campaign

Retrieves a single ad campaign by ID, including effective status and spend.

GET/v1/hq/ad_campaigns/{ad_campaign_id}
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

ad_campaign_id*string

Query Parameters

select?array<string>
expand?array<string>

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/ad_campaigns/string"
{
  "id": "string",
  "company": "string",
  "name": "string",
  "status": "active",
  "budget": {
    "daily": {
      "amount": 10000,
      "currency": "ISK"
    },
    "total": {
      "amount": 500000,
      "currency": "ISK"
    }
  },
  "schedule": {
    "starts_at": "2019-08-24T14:15:22Z",
    "ends_at": "2019-08-24T14:15:22Z"
  },
  "targeting": {
    "location": {
      "lat": 0.1,
      "lng": 0.1
    },
    "radius": 0
  },
  "promotables": [
    {
      "type": "ad",
      "ad": {
        "ad_id": "string"
      }
    }
  ],
  "spend": {
    "total": {
      "amount": 50000,
      "currency": "ISK"
    },
    "today": {
      "amount": 5000,
      "currency": "ISK"
    },
    "today_date": "string"
  },
  "paused_for_day": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "effective_status": "pending_review",
  "starts_at": "2019-08-24T14:15:22Z"
}
Empty
Empty
Empty